Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class ViewComponentEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.ComponentEditPolicy
              org.eclipse.gmf.runtime.diagram.ui.editpolicies.ComponentEditPolicy
                  org.eclipse.gmf.runtime.diagram.ui.editpolicies.ViewComponentEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public class ViewComponentEditPolicy
extends ComponentEditPolicy

Concrete class that extends the `ComponentEditPolicy`. This edit policy will return a command in response to delete requests.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ViewComponentEditPolicy()`

Method Summary
`protected Command` `getDeleteCommand(GroupRequest request)` Returns a command to delete the view.
`protected boolean` `shouldDeleteSemantic()` Return `true` if the host element should delete its semantic element; otherwise `false` to delete its view.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.ComponentEditPolicy
`createDeleteCommand, createDeleteSemanticCommand, createDeleteViewCommand, getCommand, getInsertableEditPart, getInsertCommand, getView`

Methods inherited from class org.eclipse.gef.editpolicies.ComponentEditPolicy
`getOrphanCommand`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ViewComponentEditPolicy

    public ViewComponentEditPolicy()

Method Detail

### shouldDeleteSemantic

    protected boolean shouldDeleteSemantic()

  Description copied from class: `ComponentEditPolicy`
  Return `true` if the host element should delete its semantic element; otherwise `false` to delete its view. A `true` return value implies that the host's parent is using a canonical model manager.

  Overrides:
    `shouldDeleteSemantic` in class `ComponentEditPolicy`
  Returns:
    true or false

### getDeleteCommand

    protected Command getDeleteCommand(GroupRequest request)

  Returns a command to delete the view. Since this command has no semantic element we want to avoid the prompt regarding "delete from model".

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.